moDraw.amount = {};

function moDraw.amount:setOpenPDA(self)
	local openSwitchStatus = moGuiMiniPDAsetGet.slotSwitch[moGuiMiniPDAsetGet.slotOpen];
	local farmSilo = moDefault.multiFarmSilo;
	local fixDifferenz = 0.007+moSetGetGui.pdaMenueSize/2;
	local posBFruit = moSetGetGui.pdaMenueSize/3*(moDefault.lengthFruitName+moSetGetGui.screenAspectRatio)*1.03;
	local posBAmount = moSetGetGui.pdaMenueSize/3*(moDefault.lengthAmount+4+moSetGetGui.screenAspectRatio)*1.03;
	local posY = moGuiMiniPDAsetGet.slotOpenY[moGuiMiniPDAsetGet.slotOpen];
	local posX = moGuiMiniPDAsetGet.slotOpenX[moGuiMiniPDAsetGet.slotOpen]+(moSetGetGui.pdaMenueSize*2/1.8);
	if moGuiMiniPDAsetGet.slotOpenX[moGuiMiniPDAsetGet.slotOpen] > 0.5 then posX = moGuiMiniPDAsetGet.slotOpenX[moGuiMiniPDAsetGet.slotOpen]+(moSetGetGui.pdaMenueSize*2/1.8)-(posBFruit+posBAmount);end;
	local posH = moSetGetGui.pdaMenuePosHeight;
	local firstPosXY = posY-(moSetGetGui.pdaMenueSize/1.17);	
	local firstLetter = 0.002;
	function nextLine(posNew, setLine)
		if setLine then
			moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX-moSetGetGui.pdaMenueLineDif, firstPosXY-moSetGetGui.pdaMenueLineDif-0.002, posBFruit+posBAmount-fixDifferenz, 0.001);
			moSetGetGui["designLine"]:render();
		end;
		firstPosXY = firstPosXY-(moSetGetGui.pdaMenueSize+posNew);
		posH = posH+moSetGetGui.pdaMenueSize+posNew;
		posY = posY-(moSetGetGui.pdaMenueSize+posNew);		
	end;	
	function getMapFruits()
		if moDefault.Fillable_NUM_FILLTYPES > 32 and tonumber(openSwitchStatus) == 2 then return 33, 64;end;
		if moDefault.Fillable_NUM_FILLTYPES > 64 and tonumber(openSwitchStatus) == 3 then return 65, 96;end;
		if moDefault.Fillable_NUM_FILLTYPES > 96 and tonumber(openSwitchStatus) == 4 then return 97, 128;end;
		return 1, 32;
	end;
	setTextBold(true);
	moSetGetGui["designGround"]:render();
	setTextColor(unpack(moGuiMiniPDAsetGet.siloColor));	
	renderText(posX+(firstLetter), firstPosXY, moSetGetGui.pdaMenueSize, unpack(moLanguage.extern['amount'.. moDefault.language]));
	nextLine(0.005, true);	
	local firstFruitsDisplay, maxFruitsDisplay = getMapFruits();
	local tempFruitsDisplay = 0;	
	function nextFruitsLine(k, emptyFruit)
		if emptyFruit then 
			setTextColor(unpack(moGuiMiniPDAsetGet.activeColor));
			setTextBold(true);
		else
			setTextColor(unpack(moGuiMiniPDAsetGet.inactiveColor));
			setTextBold(false);
		end;
		if string.find(moFillTypes[k].fruitName, "!") then
			setTextColor(unpack(moGuiMiniPDAsetGet.warningColor3));
			renderText(posX, firstPosXY, moSetGetGui.pdaMenueSize, "!".. moFillTypes[k].descName);
		else
			renderText(posX+(firstLetter), firstPosXY, moSetGetGui.pdaMenueSize, moFillTypes[k].fruitName);	
		end;
		local amountTemp = g_i18n:formatNumber(Utils.getNoNil(moFillTypes[k].siloAmount[farmSilo],0)); --string.format("%1.0f", Utils.getNoNil(moFillTypes[k].siloAmount[farmSilo],0));					
		setTextAlignment(RenderText.ALIGN_RIGHT);
		if emptyFruit then 
			setTextColor(unpack(moGuiMiniPDAsetGet.siloColor));
			setTextBold(true);
		else
			setTextColor(unpack(moGuiMiniPDAsetGet.inactiveColor));
			setTextBold(false);
		end;
		renderText(posX+(posBFruit+posBAmount/1.5)-(moSetGetGui.pdaMenueSize/5), firstPosXY, moSetGetGui.pdaMenueSize, tostring(amountTemp));
		setTextAlignment(false);
		nextLine(0.005, true);
	end;
	moFillTypesSort = {};
	local tablePos = 0;
	for k,v in pairs(moFillTypes) do			
		--if Fillable.fillTypeIndexToDesc[k].partOfEconomy ~= nil and Fillable.fillTypeIndexToDesc[k].partOfEconomy then --or moFillTypes[k].descName == "silage" or moFillTypes[k].descName == "wool" or moFillTypes[k].descName == "milk" or moFillTypes[k].descName == "egg" then				
			local emptyFruit = moSetGetAmount:getNoFoundSiloAmount(k);			
			if moSetGetGui.pageSwitch[moSetGetGui.pdaActivePage] == 1 then
				if emptyFruit then
					tablePos = tablePos+1;
					table.insert(moFillTypesSort, tablePos, k);
					local checkLengthAmount = string.len(string.format("%.0f", Utils.getNoNil(moFillTypes[k].siloAmount[farmSilo],0)));
					if checkLengthAmount > moDefault.lengthAmount then
						moDefault.lengthAmount = checkLengthAmount+1;						
					end;
				else
					table.insert(moFillTypesSort, k);
				end;
			end;
			if moSetGetGui.pageSwitch[moSetGetGui.pdaActivePage] == 0 then
				if emptyFruit then
					tablePos = tablePos+1;
					table.insert(moFillTypesSort, tablePos, k);
					local checkLengthAmount = string.len(string.format("%.0f", Utils.getNoNil(moFillTypes[k].siloAmount[farmSilo],0)));
					if checkLengthAmount > moDefault.lengthAmount then
						moDefault.lengthAmount = checkLengthAmount+1;						
					end;				
				end;
			end;			
		--end;		
	end;
	if table.getn(moFillTypesSort) > 0 then
		local tableFruits = table.getn(moFillTypesSort);				
		if moSetGetGui.pageSwitch[moSetGetGui.pdaActivePage] == 0 then			
			if tonumber(openSwitchStatus) == 4 and tonumber(tablePos) < 97 then moGuiMiniPDAsetGet.slotSwitch[moGuiMiniPDAsetGet.slotOpen] = 3;end;
			if tonumber(openSwitchStatus) == 3 and tonumber(tablePos) < 65 then moGuiMiniPDAsetGet.slotSwitch[moGuiMiniPDAsetGet.slotOpen] = 2;end;
			if tonumber(openSwitchStatus) == 2 and tonumber(tablePos) < 33 then moGuiMiniPDAsetGet.slotSwitch[moGuiMiniPDAsetGet.slotOpen] = 1;end;			
		end;
		for a=1, tableFruits do		
			tempFruitsDisplay = tempFruitsDisplay+1;
			if tonumber(tempFruitsDisplay) >= tonumber(firstFruitsDisplay) then				
				if tonumber(firstFruitsDisplay) > tonumber(maxFruitsDisplay) then break;end;				
				firstFruitsDisplay = firstFruitsDisplay+1;
				if moSetGetGui.pageSwitch[moSetGetGui.pdaActivePage] == 0 and tonumber(a) > tonumber(tablePos) then break;end;
				if tonumber(a) > tonumber(tablePos) then 
					nextFruitsLine(moFillTypesSort[a], false);
				else
					nextFruitsLine(moFillTypesSort[a], true);
				end;
			end;
		end;
	end;	
	if tonumber(openSwitchStatus) == 1 then
		moSetGetAmount:getNoFoundBaleAmount(self);
		if moBaleTypes ~= nil then		
			setTextBold(true);
			for k,v in pairs(moBaleTypes) do
				if k ~= nil then
					setTextColor(unpack(moGuiMiniPDAsetGet.activeColor));
					renderText(posX+(firstLetter), firstPosXY, moSetGetGui.pdaMenueSize, moBaleTypes[k].name.. unpack(moLanguage.extern['bale'.. moDefault.language]));										
					local amountTemp = string.format("%1.0f", Utils.getNoNil(moBaleTypes[k].amount,0));					
					setTextAlignment(RenderText.ALIGN_RIGHT);
					setTextColor(unpack(moGuiMiniPDAsetGet.siloColor));
					renderText(posX+(posBFruit+posBAmount/1.5)-(moSetGetGui.pdaMenueSize/5), firstPosXY, moSetGetGui.pdaMenueSize, amountTemp);
					setTextAlignment(false);
					nextLine(0.005, true);
				end;
			end;
		end;
	end;
	moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX-0.003, posY, posBFruit+posBAmount-fixDifferenz+0.003, posH);	
	moGuiMiniPDAsetGet.slotOpenLastWidth[moGuiMiniPDAsetGet.slotOpen] = posBFruit+posBAmount-fixDifferenz+0.003;
	moGuiMiniPDAsetGet.slotOpenLastHeight[moGuiMiniPDAsetGet.slotOpen] = posH;
	setTextBold(false);	
end;